import { select } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const circle = svg.append('circle')
			.attr('r', height / 2)
			.attr('cx', width / 2)
			.attr('cy', height / 2)
			.attr('fill', 'yellow')
			.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;

const leftEye = svg.append('circle')
			.attr('r', 30)
			.attr('cx', width / 2 - eyeSpacing)
			.attr('cy', height / 2 + eyeYOffset)
			.attr('fill', 'black')
			.attr('stroke', 'black');

const rightEye = svg.append('circle')
			.attr('r', 30)
			.attr('cx', width / 2 + eyeSpacing)
			.attr('cy', height / 2 + eyeYOffset)
			.attr('fill', 'black')
			.attr('stroke', 'black');

const rightEyebrow = svg.append('rect')
			.attr('width', 50)
			.attr('height', 10)
			.attr('x', width / 2 + eyeSpacing - 25)
			.attr('y', height / 2 + eyeYOffset - 65)
			.attr('fill', 'black')
			.attr('stroke', 'black');

const leftEyebrow = svg.append('rect')
			.attr('width', 50)
			.attr('height', 10)
			.attr('x', width / 2 + eyeSpacing - 230)
			.attr('y', height / 2 + eyeYOffset - 65)
			.attr('fill', 'black')
			.attr('stroke', 'black')
			.transition().duration(400)
					.attr('y', height / 2 + eyeYOffset - 85)
			.transition().duration(400)
					.attr('y', height / 2 + eyeYOffset - 75)
			.transition().duration(400)
					.attr('y', height / 2 + eyeYOffset - 85)
			.transition().duration(400)
					.attr('y', height / 2 + eyeYOffset - 65)


